@use "../sable";

.col-auto {
  @include sable.grid-grid-column(auto);
}
.row-auto {
  @include sable.grid-grid-row(auto);
}

.grid-cols-none {
  @include sable.grid-grid-template-columns(none);
}
.grid-rows-none {
  @include sable.grid-grid-template-rows(none);
}

.grid-flow-row {
  @include sable.grid-grid-flow(row);
}
.grid-flow-col {
  @include sable.grid-grid-flow(column);
}
.grid-flow-dense {
  @include sable.grid-grid-flow(dense);
}

.grid-cols-auto {
  @include sable.grid-grid-cols(auto);
}
.grid-rows-auto {
  @include sable.grid-grid-rows(auto);
}

@each $bpName, $width in sable.$fun-breakpoints {
  @media (min-width: #{$width}) {
    .#{$bpName}\:col-auto {
      @include sable.grid-grid-column(auto);
    }
    .#{$bpName}\:row-auto {
      @include sable.grid-grid-row(auto);
    }
    
    .#{$bpName}\:grid-cols-none {
      @include sable.grid-grid-template-columns(none);
    }
    .#{$bpName}\:grid-rows-none {
      @include sable.grid-grid-template-rows(none);
    }
    
    .#{$bpName}\:grid-flow-row {
      @include sable.grid-grid-flow(row);
    }
    .#{$bpName}\:grid-flow-col {
      @include sable.grid-grid-flow(column);
    }
    .#{$bpName}\:grid-flow-dense {
      @include sable.grid-grid-flow(dense);
    }
    
    .#{$bpName}\:grid-cols-auto {
      @include sable.grid-grid-cols(auto);
    }
    .#{$bpName}\:grid-rows-auto {
      @include sable.grid-grid-rows(auto);
    }
  }
}
